/*  IPTalk - A P2P Communications System for IP Networks
		Version 1.0
		(C) 2001 Kevin H. Patterson
		IPTalk Version 1.0 is distributed under the GNU General Public License.
		Please see the included file "GPL License.txt" for details.
*/

#ifndef _clsConnectedTextView_h
#define _clsConnectedTextView_h

#include <Application.h>
#include <Window.h>
#include <TextView.h>

class clsConnectedTextView
:
	public BTextView
{
	public:
		clsConnectedTextView(BRect frame, const char *name, BRect textRect, uint32 resizingMode, uint32 flags);
		virtual void MessageReceived(BMessage* Message);
		BWindow * ChatWindow;
		bool Connected;
		virtual void InsertText(const char * text, int32 length, int32 offset, const text_run_array * runs);
		virtual void DeleteText(int32 start, int32 finish);
};

#endif