/*  IPTalk - A P2P Communications System for IP Networks
		Version 1.0
		(C) 2001 Kevin H. Patterson
		IPTalk Version 1.0 is distributed under the GNU General Public License.
		Please see the included file "GPL License.txt" for details.
*/

#ifndef _PacketStrucs_h
#define _PacketStrucs_h

struct PacketTIns
{
	int32 Offset;
	int32 Length;
	unsigned char Text[32768];
} _PACKED;

struct PacketTDel
{
	int32 Start;
	int32 Finish;
} _PACKED;

union MultiData
{
	PacketTIns TIns;
	PacketTDel TDel;
} _PACKED;

struct PacketMulti
{
	uint16 Magic;
	uint16 Length;
	uint8 Type;
	uint8 SubType;
	MultiData Data;
} _PACKED;

#endif