/*  IPTalk - A P2P Communications System for IP Networks
		Version 1.0
		(C) 2001 Kevin H. Patterson
		IPTalk Version 1.0 is distributed under the GNU General Public License.
		Please see the included file "GPL License.txt" for details.
*/

#ifndef _clsApp_h
#define _clsApp_h

// Application System Support
#include <Application.h>

// Application Components
#include "clsListenWindow.h"

// Application Instance
#define ApplicationSignature "application/x-vnd.KHPSoftware-IPTalk"

class clsApp
:
	public BApplication
{
	public:
		clsApp();
		virtual void ReadyToRun();
		virtual void Pulse();
	private:
		clsListenWindow * ListenWindow;
};

#endif