/*  IPTalk - A P2P Communications System for IP Networks
		Version 1.0
		(C) 2001 Kevin H. Patterson
		IPTalk Version 1.0 is distributed under the GNU General Public License.
		Please see the included file "GPL License.txt" for details.
*/

#ifndef _clsListenWindow_h
#define _clsListenWindow_h

#include <Application.h>
#include <List.h>
#include <Window.h>
#include <View.h>
#include <ListView.h>
#include <TextControl.h>
#include <ScrollView.h>
#include <Button.h>
#include <Alert.h>

#include "NetEndpointA.h"
#include "clsChatWindow.h"

class clsListenWindow
:
	public BWindow
{
	public:
		clsListenWindow();
		virtual bool QuitRequested();
		virtual void MessageReceived(BMessage* Message);
		virtual void FrameResized(float width, float height);
	private:
		BList * ChatWindows;
		BList * Interfaces;
		BView * MainView;
			BView * InterfacesView;
				BListView * InterfacesList;
			BButton * NewSessionButton;
			BButton * AboutButton;
};

#endif
